export function toDateTime(date: Date): string {
    console.log(date);
    if (typeof date === 'string') {
        date = new Date(date);
    }
    // This produces a CST-local time because server runs in CST
    const year   = date.getFullYear();
    const month  = (date.getMonth() + 1).toString().padStart(2, "0");
    const day    = date.getDate().toString().padStart(2, "0");
    const hour   = date.getHours().toString().padStart(2, "0");
    const minute = date.getMinutes().toString().padStart(2, "0");
    const second = date.getSeconds().toString().padStart(2, "0");

    return `${year}-${month}-${day} ${hour}:${minute}:${second}`;
}